<?php
header('X-Frame-Options: deny');
header('Strict-Transport-Security: max-age=86400; includeSubDomains');
?><!DOCTYPE html>
<html>
<head>
<link rel="ICON" href="../img/aade_el.png">
<meta charset="utf-8" />
<meta name="author" content="www.incahellas.com, ΑΑΔΕ ΔΙΔΥΠΟΔ Ε">
<meta http-equiv = "X-UA-Compatible" content = "IE=edge, chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Α.Α.Δ.Ε. - ESend</title>

<link rel="stylesheet" href="../script/foundation/css/foundation.css" />
<style>
/* AADE */
.boxer{display:table;border-collapse:collapse;width:100%}.boxer .box-row{display:table-row}.boxer .box{display:table-cell;vertical-align:middle}.inner-box{width:95%;margin:0 auto}.header-div{border-top:.5em solid #000}.receipt{margin-bottom:1em;color:#2673ad}.box-ok{padding-left:80px;background-image:url(images/check-circle-solid.png);background-position:20px center;background-repeat:no-repeat}.box-error{padding-left:80px;background-image:url(images/error-circle-solid.png);background-position:20px center;background-repeat:no-repeat}.box-warning{padding-left:80px;background-image:url(images/warning-circle-solid.png);background-position:20px center;background-repeat:no-repeat}.bottom-grey{width:100%;background:#dedede;margin-top:100px}#footer{background-color:#000;padding:1em 0}.helrep{text-align:right}
/* INCA Hellas */
.header TD{padding:0;width:33%;background-color:#d1e6f0}.info TR:nth-child(even){background-color:#f0f0f0}.xbreak{word-break:break-all}
</style>
<script src="../script/foundation/js/vendor/jquery.js"></script>
<script src="../script/foundation/js/vendor/what-input.js"></script>
<script src="../script/foundation/js/vendor/foundation.min.js"></script>

<script>
$(document).ready(function() {
   $(document).foundation();   
   $('#uform').submit(function(e){
      e.preventDefault();
      
      // do ajax now
      var s11 = $('#S11').val();
      if (s11.length!=11) {
         return goback();   
      }
      
      var p8 = $('#P8').val();
      if (p8.length==0 || p8.length>8) {
         return goback();
      }
      while (p8.length<8) { p8 = '0' + p8; }
       
      var hex40 = $('#HEX40').val();
      if (hex40.length!=40) {
         return goback();
      }       
       
      var tval = $('#TVAL').val();       
      if (tval.length==0) {
         return goback();
      }
      
      var url = location.pathname + '?SIG=' + encodeURIComponent(s11 + p8 + hex40 + tval);       
      location.href = url;
   });
})
function goback()
{
   window.alert('Ακατάλληλα δεδομένα, παρακαλούμε επαναλάβατε!');
   return false;
}   
</script>

</head>
<body>

<div style="background-color:black; height:2em;">
   &nbsp;    
</div>        

<div class="grid-container">
   <div style="margin-top: 1em;">
   	<img src="images/logo.svg" alt="ΑΑΔΕ" width="250px;" x="50%" y="50%">
   </div>
   
   &nbsp;
   <h5 class="header-div">Ηλεκτρονική διαβίβαση</h1>
   
<?php
include('../lib/ado/adodb.inc.php');
include('../lib/generic.inc.php');
include('../lib/visual.inc.php');
include('esend_db.php'); 
include('esendlib.inc.php');
include('esend.inc.php');
$prof=new cPROFILER1();

/*
Query string: 
SIG=s11-p8-hx40-total_value

Αν έρθει χωρίς query, να το κάνει input, αλλιώς το επεξεργάζεται.

ΑΑΔΕ - έλεγχος απόδειξης
//--------------------------------------
(1)
Λάθος barcode, ή παράνομη απόδειξη.
//--------------------------------------
(2)
Τελ ενημέρωση για την s11, στις..., παρακαλούμε δοκιμάστε αργότερα.
//--------------------------------------
(3)
Στοιχεία απόδειξης:
...
...
...
//--------------------------------------
Ευχαριστούμε που χρησιμοποιήσατε το πρόγραμμα μας. 
*/  

/*
if (empty($_GET))
{
   ask_for_data();
}
else
{
*/
   process_query();
/*
}
*/
?>
<?php
//--------------------------------------
function ask_for_data()
{
?>
<form id=uform data-abide>
<div class="grid-container">
   <h1>Έλεγχος γνησιότητας παραστατικών</h1>
   
   <div class="border-box">
      Παρακαλούμε εισάγετε τα παρακάτω στοιχεία για να κάνετε έλεγχο.
   </div>

   <div class="grid-x grid-margin-x">
      <div class="cell small-12">
         <label>
            Σειριακός αριθμός ΦΗΜ (5ο πεδίο της ΠΑΗΨΣ)
            <input type=text id=S11 placeholder="3 γράμματα και 8 ψηφία χωρίς ενδιάμεσα κενά" 
               required pattern="[A-Za-zΑ-Ω\d]{3}\d{8}">
         </label>
      </div>
   </div>         
   
   <div class="grid-x grid-margin-x">
      <div class="cell small-12">
         <label>
            Προοδευτικός α/α παραστατικού (3ο πεδίο της ΠΑΗΨΣ)
            <input type=number id=P8 placeholder="1 ως 8 ψηφία"
               required pattern="\d{1,8}">
         </label>
      </div>
   </div>
   
   <div class="grid-x grid-margin-x">
      <div class="cell small-12">
         <label>
            Hash value του αρχείου e.txt (προσοχή: όχι η ΠΑΗΨΣ του παραστατικού)
            <input type=text id=HEX40 placeholder="40 δεκαεξαδικοί χαρακτήρες"
               required pattern="[A-Fa-f\d]{40}">
         </label>
      </div>
   </div>
   
   <div class="grid-x grid-margin-x">
      <div class="cell small-12">
         <label>
            Αξία παραστατικού, με ακρίβεια 2 δεκαδικών
            <input type=number id=TVAL placeholder="Χωρίς διαχωριστές χιλιάδων.Σύμβολο υποδιαστολής η τελεία"
               required step="0.01">
         </label>
      </div>
   </div>
   
   <div class="grid-x grid-margin-x">
      <div class="cell small-12">
         <input type="submit" class="button" value="Υποβολή">
      </div>
   </div>         
</div>
</form>
<?php   
}
//--------------------------------------
class cQR
{
   public $s11;
   public $p8;
   public $hex40;
   public $tval;
   public $mtype=0; // 0/1 = EAFDSS/TAMEIAKH
   public $tmp_txt=0;
   
   function __construct($sig)
   {
      $this->s11 = substr($sig, 0, 11);
      $this->p8 = substr($sig, 11, 8);
      $this->hex40 = substr($sig, 19, 40);
      $this->tval = floatval(strtr(substr($sig, 59), ',', '.'));
   }
   
   function is_good()
   {
      return (preg_match('/^.{3}\d{8}$/', $this->s11) && preg_match('/^\d{8}$/', $this->p8) 
         && preg_match('/^[A-Fa-f\d]{40}$/', $this->hex40));
   }
}
//--------------------------------------
function say_msg($umsg, $moredata=false)
{
   $msg = '';
   
   if (is_int($umsg))
   {
      switch ($umsg)
      {
      case 1:
         $msg='Ακατάλληλο QR code. Λείπουν πληροφορίες.<br>Πιθανό πρόβλημα με το παραστατικό!';
         echo "<div class=\"callout alert box-error lead\">$msg</div>";
         return;
      case 2:
         $msg='Λάθος QR code, ή παράνομη απόδειξη!';
         echo "<div class=\"callout alert box-error lead\">$msg</div>";
         return;
      case 3:
         $msg = 'Λάθος του συστήματος';
         if ($moredata!=false) {
            $msg .= ', '.$moredata;
         }
         $msg .= '<br>Παρακαλούμε δοκιμάστε ξανά αργότερα.';
         break;
      }
   }
   else 
   {
      $msg = $umsg;
   }
   
   echo "<div class=\"callout warning\">$msg</div>";
}
//--------------------------------------
function do_more_checks($o1)
{
   global $x2, $coo, $qr;
   $db = &$x2->db;
   
   $d1 = $o1->FDATETIME;
   $fdatetime = substr($d1,0,4).'-'.substr($d1,4,2).'-'.substr($d1,6,2).' '.substr($d1,8,2).':'.substr($d1,10,2);
   
   if (strcasecmp($o1->HEXSIGN, $qr->hex40)!=0)
   {
      echo "<div class=\"callout alert box-error lead\">Διαφορά στην ψηφιακή υπογραφή! Η απόδειξη έχει διαβιβαστεί με διαφορετικά στοιχεία στην ΑΑΔΕ.</div>";
      return;
   }
   
   // 22-10-2020 p.mavridis Ευρεση του υποκαταστήματος.
   $ypok=-1; $hmera=substr($d1,0,8); $tafm=$o1->ISSUER_AFM; 
   $eafdss2= $o1->EAFDSS;  if (substr($eafdss2,0,1) =='E') $eafdss2= eng_to_gr($eafdss2); 
   $eponymia=find_eponymia($tafm);
   $address=find_address($tafm,$eafdss2,$hmera);
   
   if ($qr->mtype == 0) { // EAFDSS
      $gtotal = $o1->GTOTAL;
   }
   else { // TAMEIAKH
      $gtotal = $o1->NETVALA + $o1->NETVALB + $o1->NETVALC + $o1->NETVALD + $o1->NETVALE +
            $o1->VATVALA + $o1->VATVALB + $o1->VATVALC + $o1->VATVALD;   
   }
   
   $ypovlithen=" ";
   if ($qr->tmp_txt==1) $ypovlithen=" ΔΕΝ ΕΚΔΟΘΗΚΕ ΑΚΟΜΗ "; 
   
   //if (     abs($gtotal) != abs($qr->tval)) 
   if ( abs( abs($gtotal) -abs($qr->tval)) > 0.5 )
   
   {
      echo "<div class=\"callout alert box-error lead\">Διαφορά στο συνολικό ποσό! Η απόδειξη έχει διαβιβαστεί με διαφορετικά στοιχεία στην ΑΑΔΕ.</div>";
      // however, do not stop
   }
   else
   {
      echo "<div class=\"callout success box-ok lead\"><span id=\"doc_type2\">ΝΟΜΙΜΟ ΠΑΡΑΣΤΑΤΙΚΟ</span></div>";
   }
   
   $currencyHtml = ($o1->CURCODE === '0' ||  $o1->CURCODE === 'EUR') ? '&euro; ' : '';
   
   if ($o1->DOCID == 173) {
      echo "<script>
\$('.doc_type').html('Απόδειξης');
\$('.doc_type2').html('ΝΟΜΙΜΗ ΑΠΟΔΕΙΞΗ');
</script>";
   }
   
   // Show data...
   echo '<table class="info">
      <tr>
         <td>ΦΗΜ</td>
         <td>'.myhtml($o1->EAFDSS).'</td>
      </tr>
      <tr>
         <td>ΑΦΜ εκδότη</td>
         <td>'.myhtml($o1->ISSUER_AFM).'</td>
      </tr>
      <tr>
         <td>Επωνυμία</td>
         <td>'.myhtml($eponymia).'</td>
      </tr>
      <tr>
         <td>Διεύθυνση</td>
         <td>'.myhtml($address).'</td>
      </tr>
      <tr>
         <td>Αριθμός Ζ</td>
         <td>'.myhtml($o1->ZNR).$ypovlithen. '</td>
      </tr>
      </tr>
         <td>Ημερήσιος α/α</td>
         <td>'.myhtml($o1->DAILY).'</td>
      </tr>
      <tr>
         <td>Προοδευτικός α/α</td>
         <td>'.myhtml($o1->PROGRESSIVE).'</td>
      </tr>
      <tr>
         <td>Ημερομηνία, ώρα</td>
         <td>'.myhtml($fdatetime).'</td>
      </tr>
      <tr>
         <td>Είδος παραστατικού</td>
         <td>'.myhtml( $o1->DOCID.'# '.$x2->doc_name($o1->DOCID) ).'</td>
      </tr>
       <tr>
         <td>Σειρά</td>
         <td>'.myhtml($o1->SEIRA).'</td>
      </tr>     
      <tr>
         <td>Αριθμός παραστατικού</td>
         <td>'.myhtml($o1->DOCNR).'</td>
      </tr>
      <tr>
         <td>Καθαρή αξία Α</td>
         <td>'.$currencyHtml.number_format($o1->NETVALA, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Καθαρή αξία Β</td>
         <td>'.$currencyHtml.number_format($o1->NETVALB, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Καθαρή αξία Γ</td>
         <td>'.$currencyHtml.number_format($o1->NETVALC, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Καθαρή αξία Δ</td>
         <td>'.$currencyHtml.number_format($o1->NETVALD, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Καθαρή αξία Ε</td>
         <td>'.$currencyHtml.number_format($o1->NETVALE, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>ΦΠΑ Α</td>
         <td>'.$currencyHtml.number_format($o1->VATVALA, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>ΦΠΑ Β</td>
         <td>'.$currencyHtml.number_format($o1->VATVALB, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>ΦΠΑ Γ</td>
         <td>'.$currencyHtml.number_format($o1->VATVALC, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>ΦΠΑ Δ</td>
         <td>'.$currencyHtml.number_format($o1->VATVALD, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Συνολική αξία</td>
         <td>'.$currencyHtml.number_format($gtotal, 2, '.', '').'</td>
      </tr>
      <tr>
         <td>Νόμισμα συναλλαγής</td>
         <td>'.myhtml( $o1->CURCODE.'# '.$x2->currency_name($o1->CURCODE) ).'</td>
      </tr>
      <tr>
         <td>Κωδικός καυσίμου (πρατήρια)</td>
         <td>'.myhtml($o1->KWD_FUEL.'# '.$x2->fuel_name($o1->KWD_FUEL) ).'</td>
      </tr>
      <tr>
         <td>Λίτρα καυσίμου (πρατήρια)</td>
         <td>'.myhtml($o1->LITRA_FUEL) . '</td>
      </tr>
      
      </table>';
}      
//------------------------------------------------------------------------ 
function find_eponymia($tafm)  //tafm:AFM
{
   global $x2, $coo, $qr;
   $db = &$x2->db;
   
   if ($coo->test) {
      return "ΑΦΜ $tafm";
   }
   
   // ευρεση της επωνυμίας του κατόχου και της διεύθυνσης του κεντρικού
   $afm=substr($tafm.'                ',0,12); 
   $eponymia='  ';
   $query = "select RG_TXP_D_SURNAME_APPELATI,RG_TXP_D_NAME  from rg_taxpayer where  RG_TXP_AFM  = :AFM1";
   $data = array('AFM1'=>$afm);   
   if (($rs=$db->Execute($query, $data))===false) {  say_msg(3, __LINE__); }
         else     {      $o1111 = $rs->FetchNextObject();     $rs->Close();      
                    if ($o1111!==false) {$eponymia=trim($o1111->RG_TXP_D_SURNAME_APPELATI).' '.trim($o1111->RG_TXP_D_NAME);     } 
         }
     
         
   return $eponymia;
}
//------------------------------------------------------------------------      
function find_address($tafm, $teafdss, $thmera)  // tafm:AFM, $teafdss:AM FHM sta ellinika, $thmera yyyymmdd
{
 global $x2, $coo, $qr;
 $db = &$x2->db;
 
 if ($coo->test) {
   return '...';
 }
 

 $ypok=-1; 
 // ευρεση του υποκαταστήματος όπου δουλεύει ο ΦΗΜ σήμερα       
 $query = "SELECT /* index(c cb_till_operation_idx_2) */ CB_TLO_BRN_UNIT_CODE FROM central.cb_till_operation  WHERE cb_tlo_registration_num=:S11 
         and (( CB_TLO_START_TCR_CODE not in (16,17,10,35) and cb_tlo_stop_date is null  AND :HMERA1 >= to_char(cb_tlo_start_date,'YYYYMMDD') )  or
         (cb_tlo_stop_date is not null and :HMERA1 >= TO_CHAR(cb_tlo_start_date,'YYYYMMDD')  and :HMERA1 <= TO_CHAR(cb_tlo_stop_date,'YYYYMMDD') ) )";  
 $data = array('S11'=>$teafdss, 'HMERA1'=>$thmera);   
 
 if (($rs=$db->Execute($query, $data))===false) {  say_msg(3, __LINE__); }
 else     {      $o1111 = $rs->FetchNextObject();     $rs->Close();      if ($o1111!==false) $ypok=$o1111->CB_TLO_BRN_UNIT_CODE; } 
  
 
  
 // ευρεση της επωνυμίας του κατόχου και της διεύθυνσης του κεντρικού
 $afm=substr($tafm.'                ',0,12); $address=' '; $tk=99999;
 $query = "select  RG_TXP_PAR_POSTAL,RG_TXP_POSTAL_ADDRESS,RG_TXP_POSTAL_NO  from rg_taxpayer where  RG_TXP_AFM  = :AFM1";
 $data = array('AFM1'=>$afm);   
 if (($rs=$db->Execute($query, $data))===false) {  say_msg(3, __LINE__); }
         else     {      $o1111 = $rs->FetchNextObject();     $rs->Close();      
                    if ($o1111!==false) {                $address= trim($o1111->RG_TXP_POSTAL_ADDRESS).' '.trim($o1111->RG_TXP_POSTAL_NO).' TK:'.trim($o1111->RG_TXP_PAR_POSTAL);
                    $tk=$o1111->RG_TXP_PAR_POSTAL; } 
         }
      
         
         
 // ευρεση της διεύθυνσης υποκαταστήματος
 if ($ypok > 0)
 {
 $query = "select RG_BRN_PAR_BUSINESS, RG_BRN_UNIT_ADDRESS,RG_BRN_UNIT_ADDRESS_NO  from rg_BRANCH where  RG_BRN_AFM  = :AFM1 AND RG_BRN_UNIT_NUMBER= :YPOK1";
 $data = array('AFM1'=>$afm, 'YPOK1'=> $ypok);   
 if (($rs=$db->Execute($query, $data))===false) {  say_msg(3, __LINE__); }
 else     {      $o1111 = $rs->FetchNextObject();     $rs->Close();      
                    if ($o1111!==false) 
                    {$address= trim($o1111->RG_BRN_UNIT_ADDRESS).' '.trim($o1111->RG_BRN_UNIT_ADDRESS_NO).' TK:'.trim($o1111->RG_BRN_PAR_BUSINESS);
                    $tk=$o1111->RG_BRN_PAR_BUSINESS;}
 } 
 }
 // εύρεση της πόλης
 $query = "select RG_PAR_AREA from rg_postal_area where RG_PAR_CODE  = :TK1" ;
 $data5 = array('TK1'=>$tk);   
 if (($rs=$db->Execute($query, $data5))===false) {  say_msg(3, __LINE__); }
 else     {      $o11111 = $rs->FetchNextObject();     $rs->Close();      
                    if ($o11111!==false)      $address= $address .' '. $o11111->RG_PAR_AREA;
                    
 } 
        
return $address;
}
//--------------------------------------
function process_query()
{
   global $x2, $coo, $qr, $dbb, $usern, $userp;
   
   $x2 = new cX2();
   $db = &$x2->db;
   
   /*
   $db->Close();
   $x2->db = false;
   
   if (($x2->db = ADONewConnection($coo->type))===false)
      die('DB connection error');
      
   $x2->db->charSet = 'AL32UTF8';
   if (!$x2->db->connect($dbb, $coo->user, $coo->password)) {    
      die( "Database connection failed! ".$db->ErrorMsg() );
   }
      
   $db = &$x2->db;
   if (!$db->Execute("ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD' ")) {
      die(__LINE__.$db->ErrorMsg() );
   }
   
   $perf = NewPerfMonitor($db); // enable logging
   $db->logSql(); // start logging
   */

   //
   //$db->debug=true;
   //   

   
   do {
      if (empty($_GET)) {
         say_msg(1);
         break;
      }
      
      if (isset($_GET['SIG'])) {
         $sig = $_GET['SIG'];
      }
      else if (isset($_GET['sig'])) {
         $sig = $_GET['sig'];
      }
      else {
         say_msg(1);
         break;
      }
      
      if (strlen($sig) < 60) {
         say_msg(2);
         break;
      }
      
      $qr = new cQR($sig);
      if (!$qr->is_good()) {
         say_msg(2);
         break;
      }
      
      echo "<p class=\"lead receipt\">
		    Έλεγχος <span class=\"doc_type\">Παραστατικού</span> 
		    με αύξοντα αριθμό (α/α) <strong>".myhtml($qr->p8)."</strong><br>
		    Συνολικού ποσού <strong>".number_format($qr->tval, 2, '.', '')." ευρώ</strong><br>
		    Που εκδόθηκε από τον φορολογικό μηχανισμό (ΦΗΜ) με κωδικό  <strong>".myhtml($qr->s11)."</strong><br>
		    Και έχει (αόρατη) υπογραφή SHA-1 <strong><span class=xbreak>".myhtml($qr->hex40)."</span></strong>
	     </p>";
      
      // 1st things 1st
      $connected_fhm=0;
      $query = 'SELECT MTYPE, VATNO FROM ese_vatno WHERE EAFDSS=:S11';
      $data = array('S11'=>$qr->s11);
      if (($rs=$db->Execute($query, $data))===false) {
         error_log( __FUNCTION__.' '.__LINE__.' '.$db->ErrorMsg() );
         say_msg(3, __LINE__);
         break;
      }
      $om=$rs->FetchNextObject();
      $rs->Close();
      if ($om===false)   $connected_fhm=0; else $connected_fhm=1;
          
      
      
      /* έλεγχος αν η μηχανή είναι δηλωμένη στο Δ13 - Δ14 στο τέλος αν είναι δηλωμένη, στο $fhm_owner είναι ο ιδιοκτήτης. Αν δεν είναι δηλωμένη,  fhm_owner=΄ΝΟ' */
      $ftm_or_taxi_found=0; 
      $fhm_owner='NO';

       $eafdss2= $qr->s11; $prog8= $qr->p8;
         if (substr($eafdss2,0,1) =='E') $eafdss2= eng_to_gr($eafdss2); 
       
       
      if ($coo->test) {
         $ftm_or_taxi_found=1;      //   βρέθηκε η εγγραφή στο Δ13 ή στο Δ14
   		$fhm_owner='XXXXXXXXX';
      }
      else { 
         $query="SELECT * from TABLE(tameiakes.queries.GET_OWNERFHMORTAXI(:FHMS111))";
         $data = array('FHMS111'=>$eafdss2);
         if (($rs=$db->Execute($query, $data))!==false)
         {
   	      if ($oo= $rs->FetchRow()) {
   	           	    
   		    		$ftm_or_taxi_found=1;      //   βρέθηκε η εγγραφή στο Δ13 ή στο Δ14
   		         $fhm_owner=$oo[2];		                
            } //while
            $rs->Close();
         }
         else
         {
            say_msg("Λάθος ανάκτησης του ΑΦΜ κατόχου");
            $ftm_or_taxi_found=1;
            $fhm_owner='Unknown';
         }
      }
	   
     if ($fhm_owner=='NO' || $connected_fhm==0)  { 
         $today=date('d-m-Y');
         echo "<div class=\"callout alert box-error lead\">Ο φορολογικός μηχανισμός (ΦΗΜ) με κωδικό ".myhtml($qr->s11).
            " σήμερα $today δεν είναι ενεργός ή είναι αδήλωτος.</div>";
        break;
     }
      
      $qr->mtype = $om->MTYPE;
        
      
      // 2) Query TMP   // first check TMP
      $query= 'SELECT * FROM ese_esi_tmp WHERE EAFDSS=:S11 AND PROGRESSIVE=:P8';
      $data = array('S11'=>$qr->s11, 'P8'=>$qr->p8);
      if (($rs=$db->Execute($query, $data))===false) {
         error_log( __FUNCTION__.' '.__LINE__.' '.$db->ErrorMsg() );
         echo $db->ErrorMsg();
         say_msg(3, __LINE__);
         break;
      }
      $o1=$rs->FetchNextObject();
      $rs->Close();
      if ($o1!==false) {
         $qr->tmp_txt = 1;
         do_more_checks($o1);
         break;
      } 
      
      // 3) Record not found in TMP, try the master file
      $query= 'SELECT * FROM ese_esi WHERE EAFDSS=:S11 AND PROGRESSIVE=:P8';
      $data = array('S11'=>$qr->s11, 'P8'=>$qr->p8);
      if (($rs=$db->Execute($query, $data))===false) {
         error_log( __FUNCTION__.' '.__LINE__.' '.$db->ErrorMsg() );
         say_msg(3, __LINE__);
         break;
      }
      $o1 = $rs->FetchNextObject();
      $rs->Close();
      if ($o1!==false) {
         // Make checks on $o1
         do_more_checks($o1);
         break;
      }  
      
      // αν φτάσει εδώ, πρόκειται για μηχανή δηλωμένη στο Δ13 που έχει λάβει aes key και δεν έχει στείλει την συγκεκριμένη απόδειξη ακόμη.
        $today2=date('Ymd');  $tafm=$om->VATNO; $eponymia50_address='                                                                                                                                              ';

         /*        
        $eponymia=find_eponymia($tafm);
                
        $address=find_address($tafm,$eafdss2,$today2);
        */
            
      echo "<div class=\"callout warning box-warning lead\">Ο φορολογικός μηχανισμός (ΦΗΜ) είναι ενεργός και δηλωμένος στον ΑΦΜ $om->VATNO.<br>
            Η απόδειξη δεν έχει διαβιβαστεί (ακόμη) στην ΑΑΔΕ.</div>";                  
      
   } while (false);
   
?>   
   <!-- div style="height:1em"></div --> 
<?php   
}
//--------------------------------------
?>
</div>
<div class="bottom-grey">
   <div class="grid-container">
      <div class="header-div">
      Ευχαριστούμε που χρησιμοποιείτε τις υπηρεσίες της ΑΑΔΕ.<br>
      &nbsp;
      </div>
   </div> 
</div>

<div id="footer">
		<div class="inner-box">

   		<div class="boxer">
   			<div class="box-row">
   				<div class="box"><img src="images/logo-white.svg" alt="ΑΑΔΕ" width="200px;">
   				</div>
   				<div class="box helrep"><img src="images/hel-rep.svg" alt="ΑΑΔΕ" width="100px;">
   				</div>
   			</div>
   		</div>

	</div>
</div>   
</body>
</html>